package cn.hnthyy.thmz.Utils;

import com.google.gson.Gson;

/**
 * Json 工具类
 */
public class JsonUtil {
    private static Gson gson = new Gson();

    /**
     * 将对象转成json串
     * @param object
     * @return
     */
    public static String object2Json(Object object){
        if(object==null){
            return null;
        }
       return gson.toJson(object);
    }

    /**
     * 将json串转为对象
     * @param str json字符串
     * @param classz
     * @return
     */
    public static Object   jsontoObject(String str,Class classz) {
        // 将json编译成对象
        return gson.fromJson(str, classz);

    }
}
